---
api: 'Business API'
---

# Retrieve an expense

Get the information about a specific expense by ID.

The data enriched by the user, for example, VAT and cost centre, is returned under `splits[].tax_rate` and `labels`, respectively.

:::note
This feature is not available in Sandbox.
:::

For more information, see the guides: [Retrieve expenses and receipts](/docs/guides/manage-accounts/accounts-and-transactions/retrieve-expenses).

## Endpoint

GET `/expenses/{expense_id}`

## Parameters

### path parameters

- `expense_id` (string, required)
  The ID of the expense to retrieve.

## Returns

### 200

Expense

#### Response attributes

- `id` (string)
    The ID of the expense.
- `state` (enum)
    Indicates the state of the expense. Possible values:
    
      - `missing_info`: The expense is missing some required information.
    
        This is the initial state of the expense when it's first created.
        Once the missing information is provided, the expense is ready to be submitted.
    
      - `awaiting_review`: The expense is awaiting approval before it can be completed.
    
        The approver can approve, reject, or request repayment for the expense.
        It is also possible for the submitter to undo the submission at this stage.
    
      - `rejected`: The expense has been rejected by the approver. 
    
        The expense submitter (typically, the payer) should fix the issue that was the reason for the rejection and resubmit the expense.
    
      - `pending_reimbursement`: The reimbursement request has been approved, and the expense is awaiting reimbursement.
    
        This state is possible for reimbursements (transaction type = `External`). 
    
      - `refund_requested`: The expense has been rejected and repayment has been requested.*
    
        This state is possible for card transactions.
        It indicates that following the review, the approver rejected the expense and requested that it be paid back to the business account.
        This can happen, for example, if an employee accidentally makes a personal purchase with their business card.
        Once the money has been returned, the **admin** can mark this expense as repaid.
    
      - `refunded`: The expense has been repaid.*
    
        This state indicates that the admin has marked the expense as repaid.
    
      - `approved`: The expense has been approved and is now completed.*
    
      - `reverted`: The expense has been reverted. 
    
        This status indicates that the transaction related to the expense has been reverted.
        In such a case, the expense status is automatically set to `reverted`, and the expense is completed.
        This can happen, for example, when the transaction has been reverted by the merchant.
    
    _*Additionally, if an admin has previously approved the expense, marked it as repaid/completed, or requested repayment, they can revert their decision.
    In such a case, the expense goes back to the initial `missing_info` state._
    
    For more information, see the guides: [Retrieve expenses and receipts](/docs/guides/manage-accounts/accounts-and-transactions/retrieve-expenses#expense-state).
    Possible enum values:

    - `missing_info`
    - `awaiting_review`
    - `rejected`
    - `pending_reimbursement`
    - `refund_requested`
    - `refunded`
    - `approved`
    - `reverted`
- `transaction_type` (enum)
    The type of the [transaction](/docs/api/business#get-transaction) related to the expense.
    Possible enum values:

    - `atm`
    - `card_payment`
    - `fee`
    - `transfer`
    - `external`
    - `mileage_reimbursement`
- `description` (string, optional)
    The description of the expense.
- `submitted_at` (string, optional)
    The date and time the expense was submitted in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
- `completed_at` (string, optional)
    The date and time the expense was completed in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
- `payer` (string, optional)
    The name of the [team member](/docs/api/business#delete-team-member) who made the transaction, refund request, or ATM withdrawal, or the name of the business if the related transaction is of type `fee`.
- `merchant` (string, optional)
    The name of the merchant.
- `transaction_id` (string, optional)
    The ID of the [transaction](/docs/api/business#get-transaction) related to the expense. Not available for transactions of type `external`.
- `expense_date` (string)
    The expense data depends on the type of the expense and whether it has been completed.
    
    Typically, it's the date and time of the expense [transaction](/docs/api/business#get-transaction) in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
    - If the transaction related to the expense is completed, it is the date and time of its completion ([`completed_at`](/docs/api/business#get-transaction#response)).
    - Otherwise, it is the date and time of its creation ([`created_at`](/docs/api/business#get-transaction#response)).
    
    For reimbursements, it's the payment date provided in the reimbursement request.
- `labels` (object)
    The [labels](/docs/api/business#delete-label) added to the expense, organised in groups.
    
    You can have up to 5 label groups, with max. 1 label per group.
    
    The labels are provided as an object, where each key is the name of a label group, and each value is a single-element array containing the selected label from that group.
- `splits` (array of object)
    The splits of the expense.
    
    A single expense can be divided into multiple parts (splits), for example, to allocate different portions of the expense to different categories.
  - `splits[].amount` (object)
      The original amount of the expense split.
    - `splits[].amount.amount` (number, optional)
        The amount of money.
    - `splits[].amount.currency` (string, optional)
        [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code in upper case.
  - `splits[].category` (object)
      The [accounting category](/docs/api/business#delete-accounting-category) of the expense split.
    - `splits[].category.id` (string)
        The ID of the accounting category.
    - `splits[].category.name` (string)
        The name of the accounting category.
    - `splits[].category.code` (string, optional)
        The code of the accounting category.
  - `splits[].tax_rate` (object)
      The [tax rate](/docs/api/business#delete-tax-rate) applied to the expense split.
    - `splits[].tax_rate.id` (string)
        The ID of the tax rate.
    - `splits[].tax_rate.name` (string)
        The name of the tax.
    - `splits[].tax_rate.percentage` (number, optional)
        The tax rate percentage applied to the taxable amount. For example, `23` for 23%.
- `receipt_ids` (array of string)
    The IDs of the receipts related to the expense.
- `spent_amount` (object)
    The expense amount in billed currency.
  - `spent_amount.amount` (number)
      The amount of money.
  - `spent_amount.currency` (string)
      [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code in upper case.

## Error responses

| HTTP status code | Description |
| --- | --- |
| 400 | Bad request |
| 403 | Forbidden  Returned, for example, when the access token is missing the required [scope](/docs/api/business#access-token) or if the Expenses API is disabled for the business. |
| 404 | Not found |
| 422 | Unprocessable content  Returned, for example, when the Expenses feature (not just the API) is disabled for the business. |
